package cn.com.taiji.controller;

import cn.com.taiji.service.SimulationTrackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chenfangchao
 * @title: SimulationTrackController
 * @projectName es-track-analysis
 * @description: TODO
 * @date 2023/2/7 5:15 PM
 */
@RequestMapping("/track")
@RestController
public class SimulationTrackController {

    @Autowired
    private SimulationTrackService simulationTrackService;


    @GetMapping("/beidou")
    public void beidouTrack(@RequestParam("status") Integer status){
        simulationTrackService.beidouTrack(status);
    }

    @GetMapping("/hlx")
    public void aisTrack(@RequestParam("status") Integer status){
        simulationTrackService.aisTrack(status);
    }



    @GetMapping("/beidou/hlx")
    public void beidouaisTrack(@RequestParam("status") Integer status){
        simulationTrackService.beidouaisTrack(status);
    }


    @GetMapping("/tianao")
    public void tianaoTrack(@RequestParam("status") Integer status,@RequestParam("type") Integer type){
        simulationTrackService.tianaoTrack(status,type);
    }


    @GetMapping("/beidou/new")
    public void beidouNewTrack(@RequestParam("status") Integer status,@RequestParam("type")Integer type){
        simulationTrackService.beidouNewTrack(status,type);
    }

}
